VERSION 5.00
Begin VB.Form frmTest 
   AutoRedraw      =   -1  'True
   Caption         =   "Test"
   ClientHeight    =   5370
   ClientLeft      =   4995
   ClientTop       =   1650
   ClientWidth     =   6480
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   5370
   ScaleWidth      =   6480
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   4463
      TabIndex        =   2
      Top             =   4680
      Width           =   1875
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   495
      Left            =   2303
      TabIndex        =   1
      Top             =   4680
      Width           =   1875
   End
   Begin VB.CommandButton cmdTryIt 
      Caption         =   "Try It"
      Height          =   495
      Left            =   143
      TabIndex        =   0
      Top             =   4680
      Width           =   1875
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdClear_Click()
    Cls
End Sub


Private Sub cmdExit_Click()
    End
End Sub

Private Sub cmdTryIt_Click()

    Dim strHTMFileName         As String
    Dim strTextFileName        As String
    Dim strBackSlash           As String
    Dim intHTMFileNbr          As Integer
    Dim intTextFileNbr         As Integer
    Dim strBuffer              As String
    Dim strCurrentChar         As String * 1
    Dim lngX                   As Long
    Dim blnTagPending          As Boolean
    
    ' Prepare the file names ...
    strBackSlash = IIf(Right$(App.Path, 1) = "\", "", "\")
    strHTMFileName = App.Path & strBackSlash & "Files_Lesson1.htm"
    strTextFileName = App.Path & strBackSlash & "TestOut.txt"
    
    Print "Opening files ..."
    
    ' Open the input file ...
    intHTMFileNbr = FreeFile
    Open strHTMFileName For Binary Access Read As #intHTMFileNbr
    
    ' If the file we want to open for output already exists, delete it ...
    If Dir$(strTextFileName) <> "" Then
        Kill strTextFileName
    End If
    ' Open the output file ...
    intTextFileNbr = FreeFile
    Open strTextFileName For Binary Access Write As #intTextFileNbr

    Print "Reading input file ..."

    ' Note: The "buffer" is simply a string variable into which the "current
    ' chunk" of the file will be read.

    ' Because the Get statement relies on the size of the string variable (the
    ' "buffer") into which the data will be read to know how many bytes to read
    ' from the file, we fill the buffer string variable with a number of blank
    ' spaces - where the number of blank spaces is equal to the size of the
    ' entire file (as determined by the LOF function) ...

    strBuffer = String$(LOF(intHTMFileNbr), " ")
    
    ' The Get statement now reads the entire contents of the input file
    ' and stores it in the strBuffer variable.
    
    Get #intHTMFileNbr, , strBuffer
        
    Print "Generating output file ..."
    
    ' The For loop below now processes the contents of the file character by
    ' character, writing out only the characters that are NOT enclosed in the
    ' HTML tags (i.e., it is skipping every character between a pair of angle
    ' brackets "<" and ">") ...
        
    For lngX = 1 To Len(strBuffer)
        strCurrentChar = Mid$(strBuffer, lngX, 1)
        Select Case strCurrentChar
            Case "<"
                blnTagPending = True
            Case ">"
                blnTagPending = False
            Case Else
                If Not blnTagPending Then
                    ' The current character is outside of the tags, so write it out ...
                    Put #intTextFileNbr, , strCurrentChar
                End If
        End Select
    Next
            
    Print "Closing files ..."
    
    ' Close the input and output files ...
    Close #intHTMFileNbr
    Close #intTextFileNbr

    Print "Done."

End Sub
